module SessionsHelper

  def sign_in
    session[:token] = SecureRandom.urlsafe_base64
  end

  def sign_out
    session[:token] = nil
  end

  def signed_in?
    session[:token] != nil
  end

  def signed_in_user
    unless signed_in?
      store_location
      redirect_to signin_url, notice: "Please sign in."
    end
  end

  def redirect_back_or(default)
    redirect_to(session[:return_to] || default)
    session.delete(:return_to)
  end

  def store_location
    session[:return_to] = request.url if request.get?
  end
end
